      integer function swapint4(i)
      implicit none
      integer*4 i
      swapint4=
     $     ior(
     $         ior(
     $             ishft(i,24),
     $             ishft(i,-24)
     $            ),
     $         ior(
     $             iand(
     $                  ishft(i,-8),
     $                  65280
     $                 ),
     $             iand(
     $                  ishft(i,8),
     $                  16711680
     $                 )
     $            )
     $        )
      return
      end
